Subject: Re: [Wishlist] could git tell which password it is asking when asking a password.

From: Ted Zlatanov <[email-masked]>
Date: Fri, 01 Jul 2011 15:01:33 -0500

On Fri, 01 Jul 2011 21:25:59 +0200 Rémi Vanicat <[email-masked]> wrote: 

RV> Junio C Hamano <[email-masked]> writes:
>> I was wondering about that when I gave that quick patch.  And "as a human"
>> may not necessarily apply when you are letting submodule fetch to recurse.

RV> I also believe that having the host name would be useful, both for human
RV> (another example would be git remote update when there are several
RV> remote) and script.  

Maybe (using %U for the URL, %h for the host, %u for the user name):

"User name for %h: " OR "User name for %h (%U): "

"Password for %u@%h: " OR "Password for %u@%h (%U): "

with some way to switch between the two styles?

Ted